%_kde4_version            @version@

%_kde4_prefix             /opt/kde
%_kde4_sysconfdir         %_sysconfdir

%_kde4_autostartdir       %_kde4_prefix/share/autostart
%_kde4_bindir             %_kde4_prefix/bin
%_kde4_configdir          %_kde4_prefix/share/config
%_kde4_datadir            %_kde4_prefix/share/apps
%_kde4_dbusinterfacesdir  %_datadir/dbus-1/interfaces
%_kde4_dbusservicesdir    %_datadir/dbus-1/services
%_kde4_dbussystemservicesdir %_datadir/dbus-1/system-services
%_kde4_htmldir            %_kde4_prefix/share/doc/HTML
%_kde4_icondir            %_kde4_prefix/share/icons
%_kde4_kcfgdir            %_kde4_prefix/share/config.kcfg
%_kde4_kconfupdatedir     %_kde4_prefix/share/apps/kconf_update
%_kde4_includedir         %_kde4_prefix/include
%_kde4_libdir             %_kde4_prefix/%_lib
%_kde4_libexecdir         %_kde4_prefix/%_lib/kde4/libexec
%_kde4_localedir          %_kde4_prefix/share/locale
%_kde4_mimedir            %_prefix/share/mime
%_kde4_pluginsdir         %_kde4_prefix/%_lib/kde4/plugins
%_kde4_sbindir            %_kde4_prefix/sbin
%_kde4_servicesdir        %_kde4_prefix/share/kde4/services
%_kde4_servicetypesdir    %_kde4_prefix/share/kde4/servicetypes
%_kde4_sharedir           %_kde4_prefix/share
%_kde4_soundsdir          %_kde4_prefix/share/sounds
%_kde4_templatesdir       %_kde4_prefix/share/templates
%_kde4_xdgappsdir         %_prefix/share/applications
%_kde4_xdgdirectorydir    %_kde4_prefix/share/desktop-directories
%_kde4_xdgmimedir         %_prefix/share/mime/packages
%_kde4_wallpaperdir       %_prefix/share/wallpapers

%_kde4_debug RelWithDebInfo

%cmake_kde4(d:) \
  QTDIR="%{_qt4_prefix}" ; export QTDIR ; \
  PATH="%{_qt4_bindir}:$PATH" ; export PATH ; \
  CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
  CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; \
  FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ; \
  bdir=. \
  %{-d:dir=%{-d*} ; mkdir -p $dir ; cd $dir ; bdir=.. } \
  %{__cmake} \\\
  %if "%{_lib}" == "lib64" \
    -DLIB_SUFFIX=64 \\\
  %endif \
  -DCMAKE_BUILD_TYPE=%{_kde4_debug} \\\
  -DCMAKE_INSTALL_PREFIX:PATH=%{_kde4_prefix} \\\
  -DDBUS_INTERFACES_INSTALL_DIR:PATH=%{_kde4_dbusinterfacesdir} \\\
  -DDBUS_SERVICES_INSTALL_DIR:PATH=%{_kde4_dbusservicesdir} \\\
  -DDBUS_SYSTEM_SERVICES_INSTALL_DIR:PATH=%{_kde4_dbussystemservicesdir} \\\
  -DINFO_INSTALL_DIR:PATH=%{_infodir} \\\
  -DMAN_INSTALL_DIR:PATH=%{_mandir} \\\
  -DSYSCONF_INSTALL_DIR:PATH=%{_kde4_sysconfdir} \\\
  -DXDG_APPS_INSTALL_DIR:PATH=%{_kde4_xdgappsdir} \\\
  -DXDG_MIME_INSTALL_DIR:PATH=%{_kde4_xdgmimedir} $bdir

